/*
 * ChartView.java
 *
 * Created on 4 de febrero de 2005, 05:38 PM
 */

package co.com.ddt.views; 

import java.util.Vector;

import org.jfree.chart.JFreeChart;
import org.jfree.chart.servlet.ServletUtilities;

import javax.servlet.http.*;
import java.io.*;


/**
 *
 * @author  Mario Linares Vásquez
 */
public class ChartView extends View {
    
    
    
    /** Creates a new instance of ChartView */
    public ChartView(Vector rows,int type) {
        super(rows);
        this.setType(type);
    }
    
    public String getChartImg(){
        return ((Vector)this.rows.elementAt(0)).elementAt(0).toString();
    }
    
    public static void sendFile( String fileName, HttpServletResponse response ){
        
        try{
            File file = new File( fileName );
            ServletUtilities.sendTempFile( file, response );
        }catch( IOException ioe ){
            ioe.printStackTrace();
        }
    }
    
    
}


// “Copyright (C) <2008> Multilateral Investment Fund of the Inter-American Development Bank.
// Este archivo es parte de <ICT4BUS-PVL>
// < ICT4BUS-PVL > es software libre: usted puede redistribuirlo y/o modificarlo bajo los términos de la Licencia Pública General GNU publicada por la Fundación para el Software Libre, ya sea la versión 3 de la Licencia, o (a su elección) cualquier versión posterior.
// < ICT4BUS-PVL > se distribuye con la esperanza de que sea útil, pero SIN GARANTÍA ALGUNA; ni siquiera la garantía implícita MERCANTIL o de APTITUD PARA UN PROPÓSITO DETERMINADO. 
// Consulte los detalles de la Licencia Pública General GNU para obtener una información más detallada. 
// Debería haber recibido una copia de la Licencia Pública General GNU junto a este programa. En caso contrario, consulte http://www.gnu.org/licenses/.”